import { j as jsxDevRuntimeExports, W as WidgetsCoreContextProvider, a as WidgetsLoggerContextProvider, F as FeaturesContextProvider } from "./root-9d0cb36e.js";
import { r as reactExports } from "./index-8bf3b3ad.js";
import { Q as QueryClient, j as QueryClientProvider, E as ErrorBoundary, L as Loader } from "./root-d536c3de.js";
import "./index-2a10e6ba.js";
import "./toInteger-e56e2535.js";
import "./client-ff7677ad.js";
const View = reactExports.lazy(() => import("./view-9df607c2.js"));
function Root(props) {
  const queryClient = reactExports.useRef();
  queryClient.current ?? (queryClient.current = new QueryClient({
    defaultOptions: {
      queries: {
        // eslint-disable-next-line unicorn/prefer-number-properties
        staleTime: Infinity,
        // Queries should never be refetched
        // Failed queries are not subject to staleTime, disable refetch
        refetchOnReconnect: false,
        refetchOnWindowFocus: false
      }
    }
  }));
  return /* @__PURE__ */ jsxDevRuntimeExports.jsxDEV(QueryClientProvider, { client: queryClient.current, children: /* @__PURE__ */ jsxDevRuntimeExports.jsxDEV(WidgetsCoreContextProvider, { core: props.core, children: /* @__PURE__ */ jsxDevRuntimeExports.jsxDEV(WidgetsLoggerContextProvider, { logger: props.logger, children: /* @__PURE__ */ jsxDevRuntimeExports.jsxDEV(FeaturesContextProvider, { features: props.features, children: /* @__PURE__ */ jsxDevRuntimeExports.jsxDEV(ErrorBoundary, { fallbackRender: (props2) => /* @__PURE__ */ jsxDevRuntimeExports.jsxDEV(jsxDevRuntimeExports.Fragment, { children: String(props2.error) }, void 0, false, {
    fileName: "/home/runner/work/workgrid-widgets/workgrid-widgets/packages/view/src/components/root.tsx",
    lineNumber: 61,
    columnNumber: 55
  }, this), children: /* @__PURE__ */ jsxDevRuntimeExports.jsxDEV(
    reactExports.Suspense,
    {
      fallback: /* @__PURE__ */ jsxDevRuntimeExports.jsxDEV("div", { className: "p-8", children: /* @__PURE__ */ jsxDevRuntimeExports.jsxDEV(Loader, { label: "Loading" }, void 0, false, {
        fileName: "/home/runner/work/workgrid-widgets/workgrid-widgets/packages/view/src/components/root.tsx",
        lineNumber: 65,
        columnNumber: 21
      }, this) }, void 0, false, {
        fileName: "/home/runner/work/workgrid-widgets/workgrid-widgets/packages/view/src/components/root.tsx",
        lineNumber: 64,
        columnNumber: 19
      }, this),
      children: /* @__PURE__ */ jsxDevRuntimeExports.jsxDEV(View, { ...props }, void 0, false, {
        fileName: "/home/runner/work/workgrid-widgets/workgrid-widgets/packages/view/src/components/root.tsx",
        lineNumber: 69,
        columnNumber: 17
      }, this)
    },
    void 0,
    false,
    {
      fileName: "/home/runner/work/workgrid-widgets/workgrid-widgets/packages/view/src/components/root.tsx",
      lineNumber: 62,
      columnNumber: 15
    },
    this
  ) }, void 0, false, {
    fileName: "/home/runner/work/workgrid-widgets/workgrid-widgets/packages/view/src/components/root.tsx",
    lineNumber: 61,
    columnNumber: 13
  }, this) }, void 0, false, {
    fileName: "/home/runner/work/workgrid-widgets/workgrid-widgets/packages/view/src/components/root.tsx",
    lineNumber: 60,
    columnNumber: 11
  }, this) }, void 0, false, {
    fileName: "/home/runner/work/workgrid-widgets/workgrid-widgets/packages/view/src/components/root.tsx",
    lineNumber: 59,
    columnNumber: 9
  }, this) }, void 0, false, {
    fileName: "/home/runner/work/workgrid-widgets/workgrid-widgets/packages/view/src/components/root.tsx",
    lineNumber: 58,
    columnNumber: 7
  }, this) }, void 0, false, {
    fileName: "/home/runner/work/workgrid-widgets/workgrid-widgets/packages/view/src/components/root.tsx",
    lineNumber: 57,
    columnNumber: 5
  }, this);
}
export {
  Root as default
};
//# sourceMappingURL=root-40909e18.js.map
